evince-gesture doesn't support taps

Bug #674644 reported by Duncan McGreggor on 2010-11-12
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Open Input Framework
High
Cody Russell
libgrip
High
Cody Russell

Bug Description

Single taps in the evince window are not recognized, and thus there's no way to interact with the app by touch-only (i.e., only gestures are supported for actions). This needs to be fixed ASAP (cannot be used as a demo app without this functionality).

Related branches

Cody Russell (bratsche) wrote :

Do you have the link to the design doc for Evince touches handy? I've been trying to search, but can't find anything on either wiki.

Otherwise, do you just know what is the desired behavior of taps in evince?

Cody Russell (bratsche) wrote :

Nevermind, I've got the design doc now. What I want is tap-and-drag to select text.

Changed in utouch:
status: New → In Progress

Can't the selection be made by not subscribing to 1-finger gestures ?

On Tue, Nov 16, 2010 at 4:24 PM, Cody Russell <email address hidden> wrote:
> Nevermind, I've got the design doc now.  What I want is tap-and-drag to
> select text.

Duncan McGreggor (oubiwann) wrote :

On Tue, Nov 16, 2010 at 9:25 AM, Mohamed IKBEL Boulabiar
<email address hidden> wrote:
> Can't the selection be made by not subscribing to 1-finger gestures ?

I dunno how that will affect the ability to do tap-and-holds,
tap-and-drags, etc.

Then the gestures primitives need to move from tap to touch.
Subscribing to 1-finger gestures mean you no more have the mouse
features from mt devices.

if you run geistest subscribing to all gestures, you are no more able
to move windows or click.

On Tue, Nov 16, 2010 at 5:58 PM, Duncan McGreggor <email address hidden> wrote:
> I dunno how that will affect the ability to do tap-and-holds,
> tap-and-drags, etc.

Henrik Rydberg (rydberg) wrote :

The tap and the drag gestures can be selected separately, so I do think this particular bug can be fixed by not listening to single tap events.We talked about this problem before the maverick release, and keeping the set of gestures listened to at a minimum is a good start. The touch versus tap is planned and will most likely happen, but for geis users, it should only mean a bit more granularity in the selection.

Duncan McGreggor (oubiwann) wrote :

This should be fixed now. libgrip is much smarter and only listens to the events that you actually register; the problem was originally due to registration for all gestures.

Changed in utouch:
status: In Progress → Invalid
Changed in libgrip:
status: New → Fix Committed
importance: Undecided → High
assignee: nobody → Cody Russell (bratsche)
Cody Russell (bratsche) on 2011-03-03
Changed in libgrip:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers